Page Reference Input

To add a navigation item, include a pageReference. A pageReference is a JSON object that describes the navigation item’s page type, its attributes, and the state of the page.
Example
PUT /services/data/v68.0/ui-api/apps/06mRM000000U6pOYAS/user-nav-items

The request body contains the list of navigation items in the order they should appear. To add a navigation item, include a pageReference describing the item.

{
  "navItems": [{
    "id": "0QkRM00000058lN0AQ"
  }, {
    "id": "0QkRM00000058lR0AQ",
    "label": "My Top Account"
  }, {
    "pageReference": {
      "type": "standard__objectPage",
      "attributes": {
        "objectApiName": "Dashboard",
        "actionName": "home"
      },
      "state": {}
    }
  }]
}
Properties
Name Type Description Required or Optional Available Version
type String The page reference type generates a unique URL format and defines attributes that apply to all pages of that type. See PageReference Types. Required 47.0
attributes Map<String, Object> Map of values for each attribute specified by the page definition, for example, objectAPIName or actionName. Required 47.0
state Map<String, Object> Map of conditional values that customize content on the page, such as filterName. Optional 47.0